KHTMLPageCache class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KHTMLPageCache Class Reference

Singleton Object that handles a binary cache on top of the http cache management of kio. More...

`#include <khtml_pagecache.h>`

Inheritance diagram for KHTMLPageCache:

[legend]
Collaboration diagram for KHTMLPageCache:

[legend]
List of all members.

## Public Member Functions
long | createCacheEntry ()
| Create a new cache entry.
void | addData (long id, const QByteArray &data)
| Add `data` to the cache entry with id `id`.
void | endData (long id)
| Signal end of data for the cache entry with id `id`.
void | cancelEntry (long id)
| Cancel the entry.
bool | isValid (long id)
void | fetchData (long id, QObject *recvObj, const char *recvSlot)
| Fetch data for cache entry `id` and send it to slot `recvSlot` in the object `recvObj`.
void | cancelFetch (QObject *recvObj)
| Cancel sending data to `recvObj`.
void | saveData (long id, QDataStream *str)
| Save the data of cache entry `id` to the datastream `str`.
## Static Public Member Functions
KHTMLPageCache * | self ()
| static "constructor".

## Detailed Description

Singleton Object that handles a binary cache on top of the http cache management of kio.

A limited number of HTML pages are stored in this cache. This cache is used for the history and operations like "view source". These operations always want to use the original document and don't want to fetch the data from the network again.

It operates completely independent from the kio_http cache.

Definition at line 38 of file khtml_pagecache.h.

## Member Function Documentation

KHTMLPageCache * KHTMLPageCache::self | ( |  | ) | `[static]`

| static "constructor". Returns: returns a pointer to the cache, if it exists. creates a new cache otherwise. Definition at line 121 of file khtml_pagecache.cpp. Referenced by KHTMLPart::closeURL(), and KHTMLPart::restoreState().

long KHTMLPageCache::createCacheEntry | ( |  | ) |

| Create a new cache entry. Returns: a cache entry ID is returned. Definition at line 143 of file khtml_pagecache.cpp.

void KHTMLPageCache::addData | ( | long | id,
|  | const QByteArray & | data
| ) |

| Add `data` to the cache entry with id `id`. Definition at line 158 of file khtml_pagecache.cpp.

void KHTMLPageCache::endData | ( | long | id | ) |

| Signal end of data for the cache entry with id `id`. After calling this the entry is marked valid Definition at line 166 of file khtml_pagecache.cpp.

void KHTMLPageCache::cancelEntry | ( | long | id | ) |

| Cancel the entry. Definition at line 174 of file khtml_pagecache.cpp. Referenced by KHTMLPart::closeURL().

bool KHTMLPageCache::isValid | ( | long | id | ) |

| Returns: true when the cache entry with id `is` still valid. and can be accessed for reading. Definition at line 185 of file khtml_pagecache.cpp. Referenced by KHTMLPart::restoreState().

void KHTMLPageCache::fetchData | ( | long | id,
|  | QObject * | recvObj,
|  | const char * | recvSlot
| ) |

| Fetch data for cache entry `id` and send it to slot `recvSlot` in the object `recvObj`. Definition at line 194 of file khtml_pagecache.cpp. References QTimer::singleShot().

void KHTMLPageCache::cancelFetch | ( | QObject * | recvObj | ) |

| Cancel sending data to `recvObj`. Definition at line 212 of file khtml_pagecache.cpp. References KStdAccel::next(). Referenced by KHTMLPart::closeURL().

void KHTMLPageCache::saveData | ( | long | id,
|  | QDataStream * | str
| ) |

| Save the data of cache entry `id` to the datastream `str`. Definition at line 266 of file khtml_pagecache.cpp. References QDataStream::writeRawBytes().

The documentation for this class was generated from the following files:

- khtml_pagecache.h
- khtml_pagecache.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:34:50 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001